y = rowmap(@(x) 3*x, [1,2,3;4,5,6]);
assert(isequal(y{1}, 3*[1,2,3]));
assert(isequal(y{2}, 3*[4,5,6]));
'OK'

y = colmap(@(x) 5*x, [1,2,3;4,5,6]);
assert(isequal(y{1}, 5*[1;4]));
assert(isequal(y{2}, 5*[2;5]));
assert(isequal(y{3}, 5*[3;6]));
'OK'

A = [1,2,3;4,5,6];
y = rowfun(@(x) x-mean(A, 1), A);
assert(isequal(bsxminus(A,mean(A,1)), y));
'OK'

A = [1,2,3;4,5,6];
y = colfun(@(x) x-mean(A, 2), A);
assert(isequal(bsxminus(A,mean(A,2)), y));
'OK'

test_exit
