function kl = kl_bits(pp, qq)
%KL_BITS divergence between two discrete distributions measured in bits
%
% kl = kl_nats(pp, qq) / log(2)
%
% See also, KL_NATS, HBITS, HNATS

% Iain Murray, September 2008

kl = kl_nats(pp, qq) / log(2);
